org.apache.solr.client.solrj.io.eval

## Class SourceEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.SourceEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

Direct Known Subclasses:
  FieldValueEvaluator, RawValueEvaluator, UuidEvaluator

    public abstract class SourceEvaluator
    extends Object
    implements StreamEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected UUID` `nodeId`
`protected StreamContext` `streamContext`

### Constructor Summary

Constructors
Constructor and Description
`SourceEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamContext` `getStreamContext()`
`void` `setStreamContext(StreamContext streamContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluate, evaluateOverContext`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Field Detail

#### nodeId

    protected UUID nodeId

#### streamContext

    protected StreamContext streamContext

### Constructor Detail

#### SourceEvaluator

    public SourceEvaluator()

### Method Detail

#### setStreamContext

    public void setStreamContext(StreamContext streamContext)

Specified by:
  `setStreamContext` in interface `StreamEvaluator`

#### getStreamContext

    public StreamContext getStreamContext()

Specified by:
  `getStreamContext` in interface `StreamEvaluator`